/**
 * AI工具集
 * date: 2025-10-10
 * author: wppei;
 */

.tool {
    background: #f1f6fd;
}

.tool-list {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    padding: 32px 0 2px;
}

.tool-item {
    width: 282px;
    height: 235px;
    margin-bottom: 30px;
}

.tool-item+.tool-item {
    margin-left: 24px;
}

.tool-item:nth-child(5) {
    margin-left: 0;
}

.tool-box {
    position: relative;
    display: block;
    height: 235px;
    background-color: #fff;
    border-radius: 6px;
    border: 2px solid #fff;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

.tool-img {
    display: block;
    margin: 10px auto 12px;
    width: 258px;
    height: 175px;
}

.tool-name {
    line-height: 24px;
    text-align: center;
    font-size: 16px;
    color: #333333;
}

.tool-skip {
    display: none;
    position: absolute;
    bottom: -2px;
    left: -2px;
    right: -2px;
    padding: 12px;
    color: #fff;
    text-align: center;
    background: linear-gradient( 187deg, #2160d2 0%, #48a6fe 100%);
    border-radius: 0 0 6px 6px;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

.tool-skip-name {
    height: 24px;
    margin-bottom: 6px;
    line-height: 24px;
    font-weight: bold;
    font-size: 16px;
    color: #ffffff;
}

.tool-skip-intro {
    line-height: 21px;
}

.tool-box:hover {
    box-shadow: 0px 2px 10px 0px rgba(0, 0, 0, 0.1);
    border-color: #2872ef;
}

.tool-box:hover .tool-skip {
    display: block;
}

.footer {
    margin-top: 0;
}